#ifndef CCTRLPARAMLIST_H
#define CCTRLPARAMLIST_H
#include "cmwidget.h"
#include <QTableWidget>
#include <QGridLayout>
#include "variant.h"
#include <QDoubleValidator>
#include <QIntValidator>
#define M_Max_List_RowY     100
#define M_Max_List_ColoumX  3
#include "export_ctrls_common.h"
class CTRLS_COMMON_EXPORT CCtrlParamList : public CMWidget
{
    Q_OBJECT
public:
    explicit CCtrlParamList(QWidget *parent = 0);

public:
    QTableWidget* m_pTable;
    QGridLayout* m_pLayOut;
    Variant* m_pVariant[M_Max_List_RowY];
    int32_t m_iRowCntY;
    int32_t m_iColoumCntX;
//    void MApplyAllSelect();
//    void MFreshSelectItem(int32_t iColoumX,int32_t iRowY);
//    void MApplySelect(int32_t iColoumX,int32_t iRowY);

    void MParamInit_list(Variant **pParam , int32_t iRowY, int32_t* pID=0);
    virtual void MTimeFresh();
    virtual void MFresh();
    virtual void MApply();
    bool m_bHasButton;
    int m_iCurRow;
    int m_iCurColumn;

	bool ExportParas();

signals:
    void ListNameClicked_Singal(int32_t iID);
public slots:
    void ListCellChanged(int currentRow, int currentColumn,
                            int previousRow, int previousColumn);
    void ListNameClicked_Slot(int32_t iID);
};

#endif // CCTRLPARAMLIST_H
